/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmMissingcode;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmMissingcodeRecord extends UpdatableRecordImpl<TDmMissingcodeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_missingcode.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingcode.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingcode.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingcode.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingcode.num_missingcode</code>.
     * numerical missing code
     */
    public void setNumMissingcode(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingcode.num_missingcode</code>.
     * numerical missing code
     */
    public Integer getNumMissingcode() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingcode.sas_missingcode</code>. sas
     * missing code (e.g. .J for jump or whatever)
     */
    public void setSasMissingcode(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingcode.sas_missingcode</code>. sas
     * missing code (e.g. .J for jump or whatever)
     */
    public String getSasMissingcode() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_missingcode.date_missingcode</code>. date
     * missing code
     */
    public void setDateMissingcode(LocalDateTime value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_missingcode.date_missingcode</code>. date
     * missing code
     */
    public LocalDateTime getDateMissingcode() {
        return (LocalDateTime) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmMissingcodeRecord
     */
    public TDmMissingcodeRecord() {
        super(TDmMissingcode.T_DM_MISSINGCODE);
    }

    /**
     * Create a detached, initialised TDmMissingcodeRecord
     */
    public TDmMissingcodeRecord(LocalDateTime lastchange, Integer pk, Integer numMissingcode, String sasMissingcode, LocalDateTime dateMissingcode) {
        super(TDmMissingcode.T_DM_MISSINGCODE);

        setLastchange(lastchange);
        setPk(pk);
        setNumMissingcode(numMissingcode);
        setSasMissingcode(sasMissingcode);
        setDateMissingcode(dateMissingcode);
        resetChangedOnNotNull();
    }
}
